LAST(1)

NAME
last - indicate last logins of users and ttys

SYNOPSIS
last [-n] [-f file] [-h host] [-t tty] [user ...]

DESCRIPTION
last will list the sessions of specified users, ttys, and hosts, in reverse time order. Each line of output contains the user name, the tty from which the session was conducted, any hostname, the start and stop times for the session, and the duration of the session. If the session is still continuing or was cut short by a crash or shutdown, last will so indicate.

-f file
    last reads the file file instead of the default, /var/log/wtmp.

- n Limits the report to n lines.

-t tty
    Specify the tty. Tty names may be given fully or abbreviated, for example, “last -t 03” is equivalent to “last -t tty03”.

-h host
    Host names may be names or internet numbers.

-T  Display better time information, including seconds.

If multiple arguments are given, the information which applies to any of the arguments is printed, e.g., “last root -t console” would list all of “root's” sessions as well as all sessions on the console terminal. If no users, hostnames or terminals are specified, last prints a record of all logins and logouts.

The pseudo-user reboot logs in at reboots of the system, thus “last reboot” will give an indication of mean time between reboot.

If last is interrupted, it indicates to what date the search has progressed. If interrupted with a quit signal last indicates how far the search has progressed and then continues.

FILES
/var/log/wtmp
    login data base

SEE ALSO
lastcomm(1), utmp(5), ac(8)

HISTORY
last appeared in 3.0BSD.